diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/matrix.txi
--- a/doc/interpreter/matrix.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/matrix.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -41,9 +41,11 @@
 The @code{find} function is also useful in determining which elements of
 a matrix meet a specified condition.
 
-@DOCSTRING(any)
+@ref{XREFany, , @code{any}}: For a vector argument, return true (logical 1) if any element of the
+vector i...
 
-@DOCSTRING(all)
+@ref{XREFall, , @code{all}}: For a vector argument, return true (logical 1) if all elements of the
+vector ...
 
 Since the comparison operators (@pxref{Comparison Ops}) return matrices
 of ones and zeros, it is easy to test a matrix for many things, not just
@@ -64,21 +66,26 @@
 @code{while} statements) Octave treats the test as if you had typed
 @code{all (all (condition))}.
 
-@DOCSTRING(xor)
-
-@DOCSTRING(diff)
+@ref{XREFxor, , @code{xor}}: Return the "exclusive or" of X and Y.
 
-@DOCSTRING(isinf)
+@ref{XREFdiff, , @code{diff}}: If X is a vector of length n, 'diff (X)' is the vector of first
+differences X...
 
-@DOCSTRING(isnan)
+@ref{XREFisinf, , @code{isinf}}: Return a logical array which is true where the elements of X are
+infinite and...
 
-@DOCSTRING(isfinite)
+@ref{XREFisnan, , @code{isnan}}: Return a logical array which is true where the elements of X are NaN
+values a...
 
-@DOCSTRING(common_size)
+@ref{XREFisfinite, , @code{isfinite}}: Return a logical array which is true where the elements of X are finite
+value...
 
-@DOCSTRING(find)
+@ref{XREFcommon_size, , @code{common_size}}: Determine if all input arguments are either scalar or of common size.
 
-@DOCSTRING(lookup)
+@ref{XREFfind, , @code{find}}: Return a vector of indices of nonzero elements of a matrix, as a row if
+X is ...
+
+@ref{XREFlookup, , @code{lookup}}: Lookup values in a *sorted* table.
 
 If you wish to check if a variable exists at all, instead of properties
 its elements may have, consult @ref{Status of Variables}.
@@ -86,96 +93,116 @@
 @node Rearranging Matrices
 @section Rearranging Matrices
 
-@DOCSTRING(fliplr)
+@ref{XREFfliplr, , @code{fliplr}}: Flip array left to right.
 
-@DOCSTRING(flipud)
+@ref{XREFflipud, , @code{flipud}}: Flip array upside down.
 
-@DOCSTRING(flip)
+@ref{XREFflip, , @code{flip}}: Return a copy of array X flipped across dimension DIM.
 
-@DOCSTRING(rot90)
+@ref{XREFrot90, , @code{rot90}}: Rotate array by 90 degree increments.
 
-@DOCSTRING(rotdim)
+@ref{XREFrotdim, , @code{rotdim}}: Return a copy of X with the elements rotated counterclockwise in
+90-degree in...
 
-@DOCSTRING(cat)
+@ref{XREFcat, , @code{cat}}: Return the concatenation of N-D array objects, ARRAY1, ARRAY2, ...,
+ARRAYN al...
 
-@DOCSTRING(horzcat)
+@ref{XREFhorzcat, , @code{horzcat}}: Return the horizontal concatenation of N-D array objects, ARRAY1,
+ARRAY2, ......
 
-@DOCSTRING(vertcat)
+@ref{XREFvertcat, , @code{vertcat}}: Return the vertical concatenation of N-D array objects, ARRAY1, ARRAY2,
+..., ...
 
-@DOCSTRING(permute)
+@ref{XREFpermute, , @code{permute}}: Return the generalized transpose for an N-D array object A.
 
-@DOCSTRING(ipermute)
-
-@DOCSTRING(reshape)
+@ref{XREFipermute, , @code{ipermute}}: The inverse of the 'permute' function.
 
-@DOCSTRING(resize)
+@ref{XREFreshape, , @code{reshape}}: Return a matrix with the specified dimensions (M, N, ...) whose elements
+are ...
 
-@DOCSTRING(circshift)
+@ref{XREFresize, , @code{resize}}: Resize X cutting off elements as necessary.
+
+@ref{XREFcircshift, , @code{circshift}}: Circularly shift the values of the array X.
 
-@DOCSTRING(shift)
+@ref{XREFshift, , @code{shift}}: If X is a vector, perform a circular shift of length B of the elements
+of X.
 
-@DOCSTRING(shiftdim)
+@ref{XREFshiftdim, , @code{shiftdim}}: Shift the dimensions of X by N, where N must be an integer scalar.
 
-@DOCSTRING(sort)
+@ref{XREFsort, , @code{sort}}: Return a copy of X with the elements arranged in increasing order.
 
-@DOCSTRING(sortrows)
-
-@DOCSTRING(issorted)
+@ref{XREFsortrows, , @code{sortrows}}: Sort the rows of the matrix A according to the order of the columns
+specified...
 
-@DOCSTRING(nth_element)
+@ref{XREFissorted, , @code{issorted}}: Return true if the array is sorted according to MODE, which may be
+either "as...
 
-@DOCSTRING(tril)
+@ref{XREFnth_element, , @code{nth_element}}: Select the n-th smallest element of a vector, using the ordering defined
+by '...
 
-@DOCSTRING(triu)
+@ref{XREFtril, , @code{tril}}: Return a new matrix formed by extracting the lower triangular part of
+the mat...
 
-@DOCSTRING(vec)
+@ref{XREFtriu, , @code{triu}}: Return a new matrix formed by extracting the upper triangular part of
+the mat...
 
-@DOCSTRING(vech)
+@ref{XREFvec, , @code{vec}}: Return the vector obtained by stacking the columns of the matrix X one
+above ...
 
-@DOCSTRING(prepad)
+@ref{XREFvech, , @code{vech}}: Return the vector obtained by eliminating all superdiagonal elements of
+the s...
 
-@DOCSTRING(postpad)
+@ref{XREFprepad, , @code{prepad}}: Prepend the scalar value C to the vector X until it is of length L.
 
-@DOCSTRING(diag)
+@ref{XREFpostpad, , @code{postpad}}: Append the scalar value C to the vector X until it is of length L.
 
-@DOCSTRING(blkdiag)
+@ref{XREFdiag, , @code{diag}}: Return a diagonal matrix with vector V on diagonal K.
+
+@ref{XREFblkdiag, , @code{blkdiag}}: Build a block diagonal matrix from A, B, C, ...
 
 @node Special Utility Matrices
 @section Special Utility Matrices
 
-@DOCSTRING(eye)
+@ref{XREFeye, , @code{eye}}: Return an identity matrix.
 
-@DOCSTRING(ones)
+@ref{XREFones, , @code{ones}}: Return a matrix or N-dimensional array whose elements are all 1.
 
-@DOCSTRING(zeros)
+@ref{XREFzeros, , @code{zeros}}: Return a matrix or N-dimensional array whose elements are all 0.
 
-@DOCSTRING(repmat)
+@ref{XREFrepmat, , @code{repmat}}: Repeat matrix or N-D array.
 
-@DOCSTRING(repelems)
+@ref{XREFrepelems, , @code{repelems}}: Construct a vector of repeated elements from X.
 
-@DOCSTRING(repelem)
+@ref{XREFrepelem, , @code{repelem}}: Construct an array of repeated elements from X and repeat instructions
+R_1, ....
 
 The functions @code{linspace} and @code{logspace} make it very easy to
 create vectors with evenly or logarithmically spaced elements.
 @xref{Ranges}.
 
-@DOCSTRING(linspace)
-
-@DOCSTRING(logspace)
+@ref{XREFlinspace, , @code{linspace}}: Return a row vector with N linearly spaced elements between START and
+END.
 
-@DOCSTRING(rand)
+@ref{XREFlogspace, , @code{logspace}}: Return a row vector with N elements logarithmically spaced from 10^A to
+10^B.
 
-@DOCSTRING(randi)
+@ref{XREFrand, , @code{rand}}: Return a matrix with random elements uniformly distributed on the
+interval (0...
+
+@ref{XREFrandi, , @code{randi}}: Return random integers in the range 1:IMAX.
 
-@DOCSTRING(randn)
+@ref{XREFrandn, , @code{randn}}: Return a matrix with normally distributed random elements having zero
+mean an...
 
-@DOCSTRING(rande)
+@ref{XREFrande, , @code{rande}}: Return a matrix with exponentially distributed random elements.
 
-@DOCSTRING(randp)
+@ref{XREFrandp, , @code{randp}}: Return a matrix with Poisson distributed random elements with mean value
+para...
 
-@DOCSTRING(randg)
+@ref{XREFrandg, , @code{randg}}: Return a matrix with 'gamma (A,1)' distributed random elements.
 
-@DOCSTRING(rng)
+@ref{XREFrng, , @code{rng}}: Set or query the seed of the random number generator used by 'rand' and
+'rand...
 
 The generators operate in the new or old style together, it is not
 possible to mix the two.  Initializing any generator with
@@ -233,31 +260,33 @@
 Biomathematics at The University of Texas, M.D. Anderson Cancer Center,
 Houston, TX 77030.
 
-@DOCSTRING(randperm)
+@ref{XREFrandperm, , @code{randperm}}: Return a row vector containing a random permutation of '1:N'.
 
 @node Famous Matrices
 @section Famous Matrices
 
 The following functions return famous matrix forms.
 
-@DOCSTRING(gallery)
+@ref{XREFgallery, , @code{gallery}}: Create interesting matrices for testing.
 
-@DOCSTRING(hadamard)
+@ref{XREFhadamard, , @code{hadamard}}: Construct a Hadamard matrix (Hn) of size N-by-N.
 
-@DOCSTRING(hankel)
+@ref{XREFhankel, , @code{hankel}}: Return the Hankel matrix constructed from the first column C, and
+(optionally...
 
-@DOCSTRING(hilb)
+@ref{XREFhilb, , @code{hilb}}: Return the Hilbert matrix of order N.
 
-@DOCSTRING(invhilb)
+@ref{XREFinvhilb, , @code{invhilb}}: Return the inverse of the Hilbert matrix of order N.
 
-@DOCSTRING(magic)
+@ref{XREFmagic, , @code{magic}}: Create an N-by-N magic square.
 
-@DOCSTRING(pascal)
+@ref{XREFpascal, , @code{pascal}}: Return the Pascal matrix of order N if 'T = 0'.
 
-@DOCSTRING(rosser)
+@ref{XREFrosser, , @code{rosser}}: Return the Rosser matrix.
 
-@DOCSTRING(toeplitz)
+@ref{XREFtoeplitz, , @code{toeplitz}}: Return the Toeplitz matrix constructed from the first column C, and
+optionall...
 
-@DOCSTRING(vander)
+@ref{XREFvander, , @code{vander}}: Return the Vandermonde matrix whose next to last column is C.
 
-@DOCSTRING(wilkinson)
+@ref{XREFwilkinson, , @code{wilkinson}}: Return the Wilkinson matrix of order N.
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/module.mk
--- a/doc/interpreter/module.mk	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/module.mk	Tue Mar 30 22:08:44 2021 +0200
@@ -163,6 +163,7 @@
   %reldir%/preface.texi \
   %reldir%/pr-idx.texi \
   %reldir%/quad.texi \
+  %reldir%/reference.texi \
   %reldir%/set.texi \
   %reldir%/signal.texi \
   %reldir%/sparse.texi \
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/nonlin.txi
--- a/doc/interpreter/nonlin.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/nonlin.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -49,7 +49,7 @@
 point must be provided.  This also has the consequence that
 convergence is not guaranteed even if a solution exists.
 
-@DOCSTRING(fsolve)
+@ref{XREFfsolve, , @code{fsolve}}: Solve a system of nonlinear equations defined by the function FCN.
 
 The following is a complete example.  To solve the set of equations
 @tex
@@ -161,7 +161,7 @@
 @noindent
 which gives the same solution as before.
 
-@DOCSTRING(fzero)
+@ref{XREFfzero, , @code{fzero}}: Find a zero of a univariate function.
 
 @node Minimizers
 @section Minimizers
@@ -187,13 +187,13 @@
 (@code{Fto_max = -Fto_min}).
 @end ifnottex
 
-@DOCSTRING(fminbnd)
+@ref{XREFfminbnd, , @code{fminbnd}}: Find a minimum point of a univariate function.
 
-@DOCSTRING(fminunc)
+@ref{XREFfminunc, , @code{fminunc}}: Solve an unconstrained optimization problem defined by the function FCN.
 
-@DOCSTRING(fminsearch)
+@ref{XREFfminsearch, , @code{fminsearch}}: Find a value of X which minimizes the multi-variable function FUN.
 
 The function @code{humps} is a useful function for testing zero and
 extrema finding functions.
 
-@DOCSTRING(humps)
+@ref{XREFhumps, , @code{humps}}: Evaluate a function with multiple minima, maxima, and zero crossings.
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/numbers.txi
--- a/doc/interpreter/numbers.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/numbers.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -91,9 +91,9 @@
 @end group
 @end example
 
-@DOCSTRING(double)
+@ref{XREFdouble, , @code{double}}: Convert X to double precision type.
 
-@DOCSTRING(complex)
+@ref{XREFcomplex, , @code{complex}}: Return a complex value from real arguments.
 
 @menu
 * Matrices::
@@ -281,7 +281,7 @@
 that other factors, such as the amount of memory available on your machine,
 may limit the maximum size of matrices to something smaller.
 
-@DOCSTRING(sizemax)
+@ref{XREFsizemax, , @code{sizemax}}: Return the largest value allowed for the size of an array.
 
 When you type a matrix or the name of a variable whose value is a
 matrix, Octave responds by printing the matrix in with neatly aligned
@@ -290,13 +290,15 @@
 section to indicate which columns are being displayed.  You can use the
 following variables to control the format of the output.
 
-@DOCSTRING(output_precision)
+@ref{XREFoutput_precision, , @code{output_precision}}: Query or set the internal variable that specifies the minimum number of
+signi...
 
 It is possible to achieve a wide range of output styles by using
 different values of @code{output_precision}.  Reasonable combinations can be
 set using the @code{format} function.  @xref{Basic Input and Output}.
 
-@DOCSTRING(split_long_rows)
+@ref{XREFsplit_long_rows, , @code{split_long_rows}}: Query or set the internal variable that controls whether rows of a
+matrix may...
 
 Octave automatically switches to scientific notation when values become
 very large or very small.  This guarantees that you will see several
@@ -306,7 +308,8 @@
 recommended, because it can produce output that can easily be
 misinterpreted.
 
-@DOCSTRING(fixed_point_format)
+@ref{XREFfixed_point_format, , @code{fixed_point_format}}: Query or set the internal variable that controls whether Octave will use
+a sc...
 
 @menu
 * Empty Matrices::
@@ -360,7 +363,8 @@
 empty matrix symbol, @samp{[]}.  The built-in variable
 @code{print_empty_dimensions} controls this behavior.
 
-@DOCSTRING(print_empty_dimensions)
+@ref{XREFprint_empty_dimensions, , @code{print_empty_dimensions}}: Query or set the internal variable that controls whether the dimensions
+of em...
 
 Empty matrices may also be used in assignment statements as a convenient
 way to delete rows or columns of matrices.
@@ -428,7 +432,8 @@
 This space saving optimization may be disabled using the function
 @dfn{disable_range}.
 
-@DOCSTRING(disable_range)
+@ref{XREFdisable_range, , @code{disable_range}}: Query or set the internal variable that controls whether ranges are
+stored in...
 
 Note that the upper (or lower, if the increment is negative) bound on
 the range is not always included in the set of values, and that ranges
@@ -471,7 +476,7 @@
 precision answers.  A single precision variable is created with the
 @code{single} function.
 
-@DOCSTRING(single)
+@ref{XREFsingle, , @code{single}}: Convert X to single precision type.
 
 for example:
 
@@ -534,29 +539,32 @@
 As can be seen, floating point values are rounded to the nearest integer
 when converted.
 
-@DOCSTRING(isinteger)
+@ref{XREFisinteger, , @code{isinteger}}: Return true if X is an integer object (int8, uint8, int16, etc.).
 
-@DOCSTRING(int8)
+@ref{XREFint8, , @code{int8}}: Convert X to 8-bit integer type.
 
-@DOCSTRING(uint8)
+@ref{XREFuint8, , @code{uint8}}: Convert X to unsigned 8-bit integer type.
 
-@DOCSTRING(int16)
+@ref{XREFint16, , @code{int16}}: Convert X to 16-bit integer type.
 
-@DOCSTRING(uint16)
+@ref{XREFuint16, , @code{uint16}}: Convert X to unsigned 16-bit integer type.
 
-@DOCSTRING(int32)
+@ref{XREFint32, , @code{int32}}: Convert X to 32-bit integer type.
 
-@DOCSTRING(uint32)
+@ref{XREFuint32, , @code{uint32}}: Convert X to unsigned 32-bit integer type.
 
-@DOCSTRING(int64)
+@ref{XREFint64, , @code{int64}}: Convert X to 64-bit integer type.
 
-@DOCSTRING(uint64)
+@ref{XREFuint64, , @code{uint64}}: Convert X to unsigned 64-bit integer type.
 
-@DOCSTRING(intmax)
+@ref{XREFintmax, , @code{intmax}}: Return the largest integer that can be represented by a specific integer
+type.
 
-@DOCSTRING(intmin)
+@ref{XREFintmin, , @code{intmin}}: Return the smallest integer that can be represented by a specific
+integer type.
 
-@DOCSTRING(flintmax)
+@ref{XREFflintmax, , @code{flintmax}}: Return the largest integer that can be represented consecutively in a
+floatin...
 
 @menu
 * Integer Arithmetic::
@@ -584,7 +592,7 @@
 result is often floored to the nearest integer.  So, the result of
 @code{int32 (5) ./ int32 (8)} is @code{1}.
 
-@DOCSTRING(idivide)
+@ref{XREFidivide, , @code{idivide}}: Integer division with different rounding rules.
 
 @node Bit Manipulations
 @section Bit Manipulations
@@ -593,9 +601,9 @@
 values on a bit by bit basis.  The basic functions to set and obtain the
 values of individual bits are @code{bitset} and @code{bitget}.
 
-@DOCSTRING(bitset)
+@ref{XREFbitset, , @code{bitset}}: Set or reset bit(s) N of the unsigned integers in A.
 
-@DOCSTRING(bitget)
+@ref{XREFbitget, , @code{bitget}}: Return the status of bit(s) N of the unsigned integers in A.
 
 The arguments to all of Octave's bitwise operations can be scalar or
 arrays, except for @code{bitcmp}, whose @var{k} argument must a
@@ -630,22 +638,22 @@
 Octave also includes the basic bitwise 'and', 'or', and 'exclusive or'
 operators.
 
-@DOCSTRING(bitand)
+@ref{XREFbitand, , @code{bitand}}: Return the bitwise AND of non-negative integers.
 
-@DOCSTRING(bitor)
+@ref{XREFbitor, , @code{bitor}}: Return the bitwise OR of non-negative integers X and Y.
 
-@DOCSTRING(bitxor)
+@ref{XREFbitxor, , @code{bitxor}}: Return the bitwise XOR of non-negative integers X and Y.
 
 The bitwise 'not' operator is a unary operator that performs a logical
 negation of each of the bits of the value.  For this to make sense, the
 mask against which the value is negated must be defined.  Octave's
 bitwise 'not' operator is @code{bitcmp}.
 
-@DOCSTRING(bitcmp)
+@ref{XREFbitcmp, , @code{bitcmp}}: Return the K-bit complement of integers in A.
 
 Octave also includes the ability to left-shift and right-shift values bitwise.
 
-@DOCSTRING(bitshift)
+@ref{XREFbitshift, , @code{bitshift}}: Return a K bit shift of N-digit unsigned integers in A.
 
 Bits that are shifted out of either end of the value are lost.  Octave
 also uses arithmetic shifts, where the sign bit of the value is kept
@@ -703,11 +711,11 @@
 casting numeric objects to logical values, or by using the @code{true}
 or @code{false} functions.
 
-@DOCSTRING(logical)
+@ref{XREFlogical, , @code{logical}}: Convert the numeric object X to logical type.
 
-@DOCSTRING(true)
+@ref{XREFtrue, , @code{true}}: Return a matrix or N-dimensional array whose elements are all logical 1.
 
-@DOCSTRING(false)
+@ref{XREFfalse, , @code{false}}: Return a matrix or N-dimensional array whose elements are all logical 0.
 
 @node Promotion and Demotion of Data Types
 @section Promotion and Demotion of Data Types
@@ -815,43 +823,49 @@
 The following functions are available for determining the type of a
 variable.
 
-@DOCSTRING(isnumeric)
-
-@DOCSTRING(islogical)
+@ref{XREFisnumeric, , @code{isnumeric}}: Return true if X is a numeric object, i.e., an integer, real, or complex
+array.
 
-@DOCSTRING(isfloat)
+@ref{XREFislogical, , @code{islogical}}: Return true if X is a logical object.
 
-@DOCSTRING(isreal)
+@ref{XREFisfloat, , @code{isfloat}}: Return true if X is a floating-point numeric object.
+
+@ref{XREFisreal, , @code{isreal}}: Return true if X is a non-complex matrix or scalar.
 
-@DOCSTRING(iscomplex)
+@ref{XREFiscomplex, , @code{iscomplex}}: Return true if X is a complex-valued numeric object.
 
-@DOCSTRING(ismatrix)
+@ref{XREFismatrix, , @code{ismatrix}}: Return true if X is a 2-D array.
+
+@ref{XREFisvector, , @code{isvector}}: Return true if X is a vector.
 
-@DOCSTRING(isvector)
+@ref{XREFisrow, , @code{isrow}}: Return true if X is a row vector.
 
-@DOCSTRING(isrow)
+@ref{XREFiscolumn, , @code{iscolumn}}: Return true if X is a column vector.
 
-@DOCSTRING(iscolumn)
+@ref{XREFisscalar, , @code{isscalar}}: Return true if X is a scalar.
 
-@DOCSTRING(isscalar)
+@ref{XREFissquare, , @code{issquare}}: Return true if X is a 2-D square array.
 
-@DOCSTRING(issquare)
+@ref{XREFissymmetric, , @code{issymmetric}}: Return true if A is a symmetric or skew-symmetric matrix within the
+tolerance...
 
-@DOCSTRING(issymmetric)
+@ref{XREFishermitian, , @code{ishermitian}}: Return true if A is a Hermitian or skew-Hermitian matrix within the
+tolerance...
 
-@DOCSTRING(ishermitian)
-
-@DOCSTRING(isdefinite)
+@ref{XREFisdefinite, , @code{isdefinite}}: Return true if A is symmetric positive definite matrix within the
+tolerance s...
 
-@DOCSTRING(isbanded)
+@ref{XREFisbanded, , @code{isbanded}}: Return true if A is a matrix with entries confined between LOWER
+diagonals be...
 
-@DOCSTRING(isdiag)
+@ref{XREFisdiag, , @code{isdiag}}: Return true if A is a diagonal matrix.
 
-@DOCSTRING(istril)
+@ref{XREFistril, , @code{istril}}: Return true if A is a lower triangular matrix.
 
-@DOCSTRING(istriu)
+@ref{XREFistriu, , @code{istriu}}: Return true if A is an upper triangular matrix.
 
-@DOCSTRING(isprime)
+@ref{XREFisprime, , @code{isprime}}: Return a logical array which is true where the elements of X are prime
+number...
 
 If instead of knowing properties of variables, you wish to know which
 variables are defined and to gather other information about the
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/oop.txi
--- a/doc/interpreter/oop.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/oop.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -135,19 +135,21 @@
 @end group
 @end example
 
-@DOCSTRING(isobject)
+@ref{XREFisobject, , @code{isobject}}: Return true if X is a class object.
 
 @noindent
 The available methods of a class can be displayed with the @code{methods}
 function.
 
-@DOCSTRING(methods)
+@ref{XREFmethods, , @code{methods}}: List the names of the public methods for the object OBJ or the named
+class CL...
 
 @noindent
 To inquire whether a particular method exists for a user class, the
 @code{ismethod} function can be used.
 
-@DOCSTRING(ismethod)
+@ref{XREFismethod, , @code{ismethod}}: Return true if the string METHOD is a valid method of the object OBJ or
+of th...
 
 @noindent
 For a polynomial class it makes sense to have a method to compute its roots.
@@ -239,7 +241,7 @@
 make sense to save, or a field that needs to be initialized before it is saved.
 This can be done with the @code{saveobj} method of the class.
 
-@DOCSTRING(saveobj)
+@ref{XREFsaveobj, , @code{saveobj}}: Method of a class to manipulate an object prior to saving it to a file.
 
 @noindent
 @code{saveobj} is called just prior to saving the class to a file.  Similarly,
@@ -247,7 +249,7 @@
 and can be used to ensure that any removed fields are reinserted into the user
 object.
 
-@DOCSTRING(loadobj)
+@ref{XREFloadobj, , @code{loadobj}}: Method of a class to manipulate an object after loading it from a file.
 
 @node Indexing Objects
 @section Indexing Objects
@@ -269,7 +271,8 @@
 polynomial at @var{n}.  The meaning of this subscripted referencing is
 determined by the @code{subsref} method.
 
-@DOCSTRING(subsref)
+@ref{XREFsubsref, , @code{subsref}}: Perform the subscripted element selection operation on VAL according to
+the s...
 
 For example, this class uses the convention that indexing with @qcode{"()"}
 evaluates the polynomial and indexing with @qcode{"@{@}"} returns the
@@ -283,9 +286,10 @@
 The equivalent functionality for subscripted assignments uses the
 @code{subsasgn} method.
 
-@DOCSTRING(subsasgn)
+@ref{XREFsubsasgn, , @code{subsasgn}}: Perform the subscripted assignment operation according to the subscript
+speci...
 
-@DOCSTRING(optimize_subsasgn_calls)
+@ref{XREFoptimize_subsasgn_calls, , @code{optimize_subsasgn_calls}}: Query or set the internal flag for 'subsasgn' method call optimizations.
 
 Note that the @code{subsref} and @code{subsasgn} methods always receive the
 whole index chain, while they usually handle only the first element.  It is the
@@ -318,11 +322,12 @@
 Objects can also be used themselves as the index in a subscripted expression
 and this is controlled by the @code{subsindex} function.
 
-@DOCSTRING(subsindex)
+@ref{XREFsubsindex, , @code{subsindex}}: Convert an object to an index vector.
 
 Finally, objects can be used like ranges by providing a @code{colon} method.
 
-@DOCSTRING(colon)
+@ref{XREFcolon, , @code{colon}}: Return the result of the colon expression corresponding to BASE, LIMIT,
+and o...
 
 @node Indexed Assignment Optimization
 @subsection Indexed Assignment Optimization
@@ -569,9 +574,11 @@
 operator.  To do this the @code{superiorto} and @code{inferiorto} functions can
 be used
 
-@DOCSTRING(superiorto)
+@ref{XREFsuperiorto, , @code{superiorto}}: When called from a class constructor, mark the object currently
+constructed a...
 
-@DOCSTRING(inferiorto)
+@ref{XREFinferiorto, , @code{inferiorto}}: When called from a class constructor, mark the object currently
+constructed a...
 
 With the polynomial class, consider the case
 
@@ -670,7 +677,7 @@
 value.  In general it is not recommended to overload the @code{display}
 function.
 
-@DOCSTRING(display)
+@ref{XREFdisplay, , @code{display}}: Display the contents of the object OBJ prepended by its name.
 
 Once a constructor and display method exist, it is possible to create an
 instance of the class.  It is also possible to check the class type and examine
@@ -901,7 +908,8 @@
 By default, in the example @var{prop4}, properties are not constant and have
 public read and write access.
 
-@DOCSTRING(properties)
+@ref{XREFproperties, , @code{properties}}: Return or display the public properties for the named class CLASS_NAME
+or cla...
 
 @node Methods
 @subsection Methods
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/optim.txi
--- a/doc/interpreter/optim.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/optim.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -68,7 +68,7 @@
 @noindent
 The @code{glpk} function also supports variations of this problem.
 
-@DOCSTRING(glpk)
+@ref{XREFglpk, , @code{glpk}}: Solve a linear program using the GNU GLPK library.
 
 @node Quadratic Programming
 @section Quadratic Programming
@@ -104,9 +104,9 @@
 
 @end ifnottex
 
-@DOCSTRING(qp)
+@ref{XREFqp, , @code{qp}}: Solve a quadratic program (QP).
 
-@DOCSTRING(pqpnonneg)
+@ref{XREFpqpnonneg, , @code{pqpnonneg}}: Minimize '1/2*X'*C*X + D'*X' subject to 'X >= 0'.
 
 @node Nonlinear Programming
 @section Nonlinear Programming
@@ -114,7 +114,8 @@
 Octave can also perform general nonlinear minimization using a
 successive quadratic programming solver.
 
-@DOCSTRING(sqp)
+@ref{XREFsqp, , @code{sqp}}: Minimize an objective function using sequential quadratic programming
+(SQP).
 
 @node Linear Least Squares
 @section Linear Least Squares
@@ -133,14 +134,15 @@
 function.  In the general case where the noise is assumed to be anisotropic
 the @code{gls} is needed.
 
-@DOCSTRING(ols)
+@ref{XREFols, , @code{ols}}: Ordinary least squares (OLS) estimation.
 
-@DOCSTRING(gls)
+@ref{XREFgls, , @code{gls}}: Generalized least squares (GLS) model.
 
-@DOCSTRING(lsqnonneg)
+@ref{XREFlsqnonneg, , @code{lsqnonneg}}: Minimize 'norm (C*X - D)' subject to 'X >= 0'.
 
-@DOCSTRING(lscov)
+@ref{XREFlscov, , @code{lscov}}: Compute a generalized linear least squares fit.
 
-@DOCSTRING(optimset)
+@ref{XREFoptimset, , @code{optimset}}: Create options structure for optimization functions.
 
-@DOCSTRING(optimget)
+@ref{XREFoptimget, , @code{optimget}}: Return the specific option PARNAME from the optimization options
+structure OP...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/package.txi
--- a/doc/interpreter/package.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/package.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -107,7 +107,7 @@
 it may not function correctly.  Because of this it is not recommended
 to disable dependency checking.
 
-@DOCSTRING(pkg)
+@ref{XREFpkg, , @code{pkg}}: Manage or query packages (groups of add-on functions) for Octave.
 
 @node Using Packages
 @section Using Packages
@@ -597,4 +597,5 @@
 the package maintainer and registered with Octave using
 @code{missing_component_hook}.
 
-@DOCSTRING(missing_component_hook)
+@ref{XREFmissing_component_hook, , @code{missing_component_hook}}: Query or set the internal variable that specifies the function to call
+when a...
